All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.tableview
Class SwingHoldColumnSupport

    com.sas.swing.visuals.tableview.SwingHoldColumnSupport

All Implemented Interfaces:
  HoldInterface, javax.swing.SwingConstants

    public class SwingHoldColumnSupport

Concrete extension of HoldColumnSupport for Swing.

Field Summary

Fields inherited from class com.sas.swing.visuals.tableview.HoldColumnSupport
`base, RB_KEY`

Constructor Summary
`SwingHoldColumnSupport(ColumnHeader header)`

Method Summary
`int` | `convertColumnIndexToView(int columnIndex)`
`void` | `firePropertyChange(java.lang.String string, java.lang.Boolean boolean1, java.lang.Boolean boolean2)`
`int` | `getColumnCount()`
`HoldInterface` | `getHold()`
`int` | `getModelColumnCount()`
`int` | `getModelIndex(int c)`
`javax.swing.JTable` | `getTable()`
`boolean` | `isHoldingEnabled()` Returns true is holding is enabled, should return false if holding is not allowed.
`boolean` | `isLeftToRight()`
`void` | `moveColumn(int held, int newpos)`
`void` | `setHoldingEnabled(boolean enableHolding)` Sets the state of whether holding of indices is enabled or not.

Methods inherited from class com.sas.swing.visuals.tableview.HoldColumnSupport
`calculateViewOffset, doHoldColumn, doReleaseColumn, getHeldIndices, getHeldIndices, hold, hold, isHeld, isHeld, isHoldingAllowed, release, releaseAll`

Constructor Detail

### SwingHoldColumnSupport

    public SwingHoldColumnSupport(ColumnHeader header)

Method Detail

### convertColumnIndexToView

    public int convertColumnIndexToView(int columnIndex)

  Specified by:
    `convertColumnIndexToView` in class `HoldColumnSupport`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in class `HoldColumnSupport`

### moveColumn

    public void moveColumn(int held,
                           int newpos)

  Specified by:
    `moveColumn` in class `HoldColumnSupport`

### getTable

    public javax.swing.JTable getTable()

### getModelIndex

    public int getModelIndex(int c)

  Specified by:
    `getModelIndex` in class `HoldColumnSupport`

### getModelColumnCount

    public int getModelColumnCount()

  Specified by:
    `getModelColumnCount` in class `HoldColumnSupport`

### isLeftToRight

    public boolean isLeftToRight()

  Specified by:
    `isLeftToRight` in class `HoldColumnSupport`

### getHold

    public HoldInterface getHold()

### firePropertyChange

    public void firePropertyChange(java.lang.String string,
                                   java.lang.Boolean boolean1,
                                   java.lang.Boolean boolean2)

  Overrides:
    `firePropertyChange` in class `HoldColumnSupport`

### isHoldingEnabled

    public boolean isHoldingEnabled()

  Returns true is holding is enabled, should return false if holding is not allowed.

  Specified by:
    `isHoldingEnabled` in interface `HoldInterface`
  Overrides:
    `isHoldingEnabled` in class `HoldColumnSupport`
  Returns:
    true is holding of indices is enabled, false otherwise
  See Also:
    `setHoldingEnabled(boolean)`

### setHoldingEnabled

    public void setHoldingEnabled(boolean enableHolding)

  Sets the state of whether holding of indices is enabled or not.

  Specified by:
    `setHoldingEnabled` in interface `HoldInterface`
  Overrides:
    `setHoldingEnabled` in class `HoldColumnSupport`
  Parameters:
    `enableHolding` - true to enable holding, false otherwise
  See Also:
    `isHoldingEnabled()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.